unit Main;

interface

uses SysUtils, Forms;


  procedure Run;

  
implementation

uses RAFDAppBuilder, fSplash;


var
  RAAppBuilder: TRAAppBuilder;

procedure Run;
begin
  RAFDDebug := ParamStr(1) = '-debug';
  Application.Initialize;
  RAAppBuilder := TRAAppBuilder.Create(Application);
  RAAppBuilder.CreateAppBuilderWindow;
  Application.Icon := AppBuilder.Icon;
  Application.Title := 'RAd October 2.00';
  RAAppBuilder.IniFile := ChangeFileExt(Application.ExeName, '.ini');
  RAAppBuilder.Caption := Application.Title;
  ShowSplash;
  RAAppBuilder.Execute;
  HideSplash;
  Application.Run;
  RAAppBuilder.Free;
end;

end.
